> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Template Items



## OpenAPI

````yaml PUT /api/v1/task/checklists/{id}
openapi: 3.1.0
info:
  title: Xenia Team API - Create/Update Template
  version: 1.0.0
  description: >-
    Create or update a checklist template with name, industry, type, icon,
    description, folder, and checklist items.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/checklists/{id}:
    put:
      summary: Update Checklist Template
      operationId: updateChecklistTemplate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Checklist template ID
        - name: workspace-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - ChecklistIndustryId
                - ChecklistTypeId
                - icon
                - description
                - FolderId
                - checklistItems
              properties:
                name:
                  type: string
                ChecklistIndustryId:
                  type: string
                  format: uuid
                ChecklistTypeId:
                  type: string
                  format: uuid
                icon:
                  type: object
                  properties:
                    icon:
                      type: string
                    color:
                      type: string
                      format: color
                attachments:
                  type: array
                  items:
                    type: object
                checklistItems:
                  type: array
                  items:
                    type: object
                    required:
                      - id
                      - description
                      - type
                      - order
                      - isImageOrNoteRequired
                      - isActive
                    properties:
                      id:
                        type: string
                        format: uuid
                      description:
                        type: string
                      order:
                        type: integer
                      type:
                        type: string
                      attachments:
                        type: array
                        items:
                          type: object
                      isImageOrNoteRequired:
                        type: boolean
                      isActive:
                        type: boolean
                      unit:
                        type:
                          - string
                          - 'null'
                      options:
                        type:
                          - object
                          - 'null'
                description:
                  type: string
                FolderId:
                  type: string
                  format: uuid
            example:
              name: templates name comes here
              ChecklistIndustryId: a0584fcb-99a4-4fa1-9a6c-39cf6aeb2e10
              ChecklistTypeId: f17c356e-577e-4c81-9f6a-efde14b1df55
              icon:
                icon: Default
                color: '#FFA681'
              attachments: []
              checklistItems:
                - id: 95603094-6604-499b-92d9-195e9fbb4bd4
                  description: General Information
                  order: 0
                  type: header
                  attachments: []
                  isImageOrNoteRequired: false
                  isActive: true
                - id: 3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8
                  description: Select Location
                  order: 1
                  type: location
                  attachments: []
                  isImageOrNoteRequired: false
                  options:
                    isDefaultLocation: true
                  isActive: true
              description: description of template comes here
              FolderId: 2d15dce8-19c7-4969-a2b6-1696a08db09d
      responses:
        '200':
          description: Checklist updated successfully
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  id: 921f520c-e4d7-4490-8bc1-f9585f98b6b2
                  name: templates name comes here
                  description: description of template comes here
                  ChecklistItems:
                    - id: 95603094-6604-499b-92d9-195e9fbb4bd4
                      description: General Information
                      type: header
                      order: 0
                      isActive: true
                    - id: 3efec7f6-06ef-4c48-be61-5bd2d9b2c9a8
                      description: Select Location
                      type: location
                      order: 1
                      isActive: true
                      options:
                        isDefaultLocation: true
                meta: {}
        '400':
          description: Bad Request - Invalid input data.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to update template.
        '404':
          description: Not Found - Template does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: Authorization
    clientSecret:
      type: apiKey
      in: header
      name: workspace-id

````